<section id="vehicle-info">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'vehicleInfo'}}]">vehicle ></a>
            </li>
            <li class="">
                Add vehicle

            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Vehicle Management
                        <!-- <a  [routerLink]="['view-vehicle-info']" class="btn btn-success float-right" >view</a> -->
                    </div>
              
                    <div class="card-body">
                        <form [formGroup]="productForm" (ngSubmit)="onSubmit()">
                           <div>
                            <p>
                                <label for="name">Vehicle Type:</label>
                                <input type="text" id="vehicleType" name="vehicleType" formControlName="vehicleType"
                                    class="form-control" [ngClass]="{ 'is-invalid': submitted &amp;&amp; productForm.controls.vehicleType.errors }" required>
                                    
                            </p>
                            <div *ngIf="submitted &amp;&amp; productForm.controls.vehicleType.errors" class="text-danger">
                                <div *ngIf="productForm.controls.vehicleType.errors.required" class="text-danger">VehicleType is required</div>
                              
                            </div>
                        </div>
                       
                            <p>
                               
                                <label for="name">Image:</label>
                                <input type="file" id="" name="vehicleimageData" (change)="handleEvent($event)"
                                    class="form-control">
                                   
                            </p>
                            <div><img [src]="url" *ngIf="url" width="100" height="100"></div>
                            <table class="table table-bordered" formArrayName="vehicledetails">
                                <tr>
                                    <th colspan="6">Add Multiple Models Data Of Vehicle:</th>
                                    <th width="150px"><button type="button" (click)="addVehicle()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor="let quantity of vehicledetails().controls; let i=index" [formGroupName]="i">
                                    <td>
                                        vehicle Brand :
                                        <input type="text" formControlName="vehicleBrand" class="form-control" required>
                                              
                                    </td>
                                    <td>
                                        Seats:
                                        <input type="number" formControlName="seats" class="form-control" required>
                                        
                                    </td>
                                    <td>
                                        Km/ltr:
                                        <input type="number" formControlName="kmperLtr" class="form-control" required>
                                    </td>
                                    <td>
                                       
                                        <div formArrayName="uploads">
                                            <div >
                                        <label class="custom-file-upload">
                                            <input type="file" class="file" multiple (change)="selectEvent($event,i)" accept="images1">
                                            <!-- <i class="fa fa-cloud-upload"></i> BrandLogo Upload  -->
                                        </label>
                                    </div>
                                    </div>
                                    <div><img [src]="brandUrl[i]" *ngIf="brandUrl[i]" width="100" height="100"></div>
                                    </td>
                                    <td>
                                        <div>
                                            <button class="btn btn-primary" type="button" (click)='addColours(i)'>
                                                Add Colours
                                            </button>
                                        </div>
                                        <div formArrayName='colours'>
                                        <div *ngFor='let x of coloursDetails(i).controls; index as j' >
                                            <!-- <div [formGroupName]="i"> -->
                                            <label for="skill">Colours {{j+1}}</label>
                                            <input type="text" name="color" class="form-control" [formControlName]="j"> <br>
                                            <button class="btn btn-outline-dark" (click)='removeColour(i,j)'>Remove</button>
                                        <!-- </div> -->
                                        </div>
                                        </div>   
                                    </td>
                                    <td>
                                        <div>
                                            <button class="btn btn-primary" type="button" (click)='addFuel(i)'>
                                                Add FuelTypes
                                            </button>
                                        </div>
                                        <div formArrayName='fuelType'>
                                            <div *ngFor='let x of fuelDetails(i).controls; index as k' >
                                                <!-- <div [formGroupName]="i"> -->
                                                <label for="skill">Fuel {{k+1}}</label>
                                                <input type="text" name="color" class="form-control" [formControlName]="k"> <br>
                                            
                                                <button class="btn btn-outline-dark" (click)='removeFuel(i,k)'>Remove</button>
                                            <!-- </div> -->
                                            </div>
                                            </div>  
                                    </td>
                                   
                                    <td>
                                        <button (click)="removeVehicle(i)" class="btn btn-danger">Remove</button>
                                    </td>

                                </tr>


                            </table>
                            <!-- <table class="table table-bordered" formArrayName="colours">
                                <tr>
                                    <th colspan="">Add Multiple Colours:</th>
                                    <th width="150px"><button type="button" (click)="addColours()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor='let x of colours().controls; let i=index' [formGroupName]="i">
                                    <td>
                                        Colours :
                                        <input type="text" name="colours" formControlName="colours" class="form-control">
                                    </td>

                                    <td>
                                        <button (click)='removeColours(i)' class="btn btn-danger">Remove</button>
                                    </td>
                                </tr>
                            </table> -->

                            <!-- <table class="table table-bordered" formArrayName="fuelType">
                                <tr>
                                    <th colspan="">Add Multiple FuelTypes:</th>
                                    <th width="150px"><button type="button" (click)="addfuelType()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor='let y of fuelType().controls; let i=index' [formGroupName]="i">
                                    <td>
                                        FuelType :
                                        <input type="text" name="fuelType" formControlName="fuelType" class="form-control">
                                    </td>

                                    <td>
                                        <button (click)='removefuelType(i)' class="btn btn-danger">Remove</button>
                                    </td>
                                </tr>
                            </table> -->
                            <div>
                                Number of seats for traveller:
                                <input type="text" class="form-control" name="noOfSeats" formControlName="noOfSeats"> 
                            </div> <br>
                         
                            <button type="submit" class="btn btn-success">Submit</button>
                        
                        </form>
                    </div>

                </div>

               

            </div>
        </div>
    </div>

</section>
